{% extends "base.html" %}

{% block pagetitle %} Index {% endblock %}

{% block content %}
<h1>Welcome to the Bucket List!</h1>
<p>Server Time: {{server_time}}</p>

<table class="table">
    <tr>
        <td>
            <h3>Cart List</h3>
        </td>
        <td></td>
        <td></td>
        <td>
        </td>

    </tr>

    
    <tr>
        <th>Name</th>
        <th>Price</th>
        <th>Quantity</th>
        <th>Subtotal</th>
    </tr>
    {% set total_price = [0] %}

    {% for product in cart %}
    <tr>
        <td>
            {{
                product['product_name']
            }}
        </td>
        <td>
            {{
                product['product_price']
            }}
        </td>
        <td>
            {{
                product['quantity']
            }}
        </td>

        <td>
            {{
                product['subtotal']
            }}
            {% if total_price.append(total_price.pop() + product['subtotal']) %}{% endif %}

        </td>

        <td>
            <form style = "float:right" method='post' action="{{url_for('cart.cart_remove_product')}}">
                <input name = 'product_id' style="display:none" value= "{{product['_id']}}" />
                <input class='btn btnDelete' type='submit' value='x'/>
            </form>
        </td>

    </tr>
    {% endfor %}
    <tr>
        <th></th>
        <th></th>
        <th>Total</th>
        <th>{{total_price[0]}}</th>
    </tr>

</table>



{% endblock %}